# Contributing to jecs

This document provides guidelines for contributing to the project.

## Getting Started

1. Fork the repository
2. Clone your fork
3. Set up the development environment
4. Create a branch for your changes

## Development Setup

```bash
# Clone your fork
git clone https://github.com/your-username/jecs.git
cd jecs

# Install dependencies
wally install
```

## Making Changes

1. Create a branch:
   ```bash
   git checkout -b feature/your-feature-name
   ```

2. Make your changes

3. Add tests if applicable

4. Run tests:
   ```bash
   lune run test
   ```

5. Commit your changes:
   ```bash
   git commit -m "Add feature: description"
   ```

## Submitting Changes

1. Push your changes:
   ```bash
   git push origin feature/your-feature-name
   ```

2. Create a Pull Request

3. Explain the changes and reference related issues

## Code Style

- Follow the existing code style
- Use meaningful variable and function names
- Write clear comments for complex logic
- Keep functions focused on a single responsibility

## Testing

- Add tests for new features
- Ensure all tests pass before submitting
- Consider edge cases

## Documentation

- Update documentation for changed functionality
- Document new features or APIs
- Use clear and concise language

## Issue Reporting

1. Check if the issue already exists in the [Issues](https://github.com/ukendio/jecs/issues) section
2. Create a new issue with a descriptive title and detailed information

## Code of Conduct

- Be respectful in communications
- Provide constructive feedback
- Accept constructive criticism
- Focus on what is best for the community